## debian-policy 3.7.2.1

=== debian/changelog ===
debian-policy (3.7.2.1) unstable; urgency=low

  * Bug fix: "debian-policy: s/control are/&amp;a/; s/stats/status/;
    s/and/an/; s/'/&quot;/; s/rewind/unwind/; s/fact/&amp; that/; s/like
    like/look like/;", thanks to Justin Pryzby                (Closes: #372147).
  * Bug fix: "debian-policy: Minor typo in footnote 53", thanks to Jordà
    Polo                                                      (Closes: #372497).
  * Bug fix: "debian-policy: Typo in 9.1.1: &quot;'..' character&quot;
    should be &quot;'.' character&quot;", thanks to Matt Zagrabelny
                                                              (Closes: #372522).
  * Bug fix: "debian-policy: More typos in upgrading-checklist.txt",
    thanks to Kevin B. McCarty                                (Closes: #366466).
  * Bug fix: "typo: package remains in and &quot;Installed' state", thanks
    to Sam Hocevar \(Debian packages\)                        (Closes: #369413).
  * Bug fix: "debian-policy: Cleanup build-dependencies", thanks to Stefan
    Huehner                                                   (Closes: #366032).
  * Bug fix: "debian-policy: 2.2 should be named 'categories'", thanks to
    Thomas Weber                                              (Closes: #369912).
  * Bug fix: "debian-policy: old postinst abort-upgrade, not new", thanks
    to Justin Pryzby. The fix was thanks to Margarita Manterola 
                                                              (Closes: #372148).
  * Bug fix: "policy: please say which control fields can line-wrap",
    thanks to Peter Samuelson                                 (Closes: #372731).
  * Bug fix: "debian/copyright should be mentioned in source section",
    thanks to Ian Jackson                                     (Closes: #369011).
  * Bug fix: "GNU office not on Temple Place anymore", thanks to Dan
    Jacobson                                                  (Closes: #366889).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 20 Jun 2006 00:18:19 -0500

debian-policy (3.7.2.0) unstable; urgency=low

  * Revert the cgi-lib change. 
  * Bug fix: "Clarification for difference between Build-Depends and
    Build-Depends-Indep (Section 7.6)", thanks to Christoph Berg
    Note that this is not part of policy, just an informative footnote.
                                                             (Closes: #328951).
  * Bug fix: "debian-policy: Typo in policy 5.6.3: semantic meaning",
    thanks to Thijs Kinkhorst                                (Closes: #365907).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 18:07:19 -0500

debian-policy (3.7.1.0) unstable; urgency=low

  * Bug fix: "[PROPOSAL] 11.9: document handling of directories permission
    when upgrading", thanks to Bill Allombert               (Closes: #136318).
  * Bug fix: "[DISCUSS] documentation of the "-fPIC" constraint", thanks
    to Loïc Minier. Clarified when it may be reasonable to violate the standard
    directive that shared libraries must be compiled with -fPIC, and
    static libraries without, added the protocol to be followed  when
    doing so.                                               (Closes: #329762).
  * Bug fix: "Minor typo in upgrading checklist", thanks to David
    Weinehall                                               (Closes: #364982).
  * Bug fix: "Typo in upgrading-checklist", thanks to David Weinehall
                                                            (Closes: #364983).
  * Bug fix: "typo in debian policy section 10.9.1", thanks to Miguel Gea
    Milvaques                                                (Closes: #365058).
  * Bug fix: "debian-policy: The section 11.8.5 needs some
    clarifications", thanks to Robert Luberda                (Closes: #365356).
  * Bug fix: "11.8.7: X11R7 puts headers in /usr/include/X11", thanks to
    Drew Parsons                                             (Closes: #365510).
  * Bug fix: "debian-policy: typo in policy-process:
    &quot;Guideliens&quot;", thanks to Lars Wirzenius        (Closes: #360518).
  * Bug fix: "debian-policy: repeated word in section 10.4", thanks to
    Russ Allbery                                            (Closes: #364985).
  * Bug fix: "typo in debian-policy", thanks to Miguel Gea Milvaques
                                                            (Closes: #365323).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 11:17:42 -0500

debian-policy (3.7.0.0) unstable; urgency=low

  * Bug fix: "[PENDING AMENDMENT 20/01/2000] Splitting cgi-bin", thanks to
    Brian White.                                             (Closes: #32263).
  * Bug fix: "debian-policy: [PROPOSAL] Should update to Filesystem
    Hierarchy Standard FHS 2.3", thanks to Tobias Burnus
                                          (Closes: #230217, #212434, #344158).
  * Bug fix: "[AMENDMENT 11/04/2006] Permit multi-line fields in
    debian/control", thanks to John R. Daily. Mention that all fields,
    except the Uploaders, are supposed to be a single logical line, which
    may be spread over multiple physical lines (newline followed by space
    is elided). Also mention that anything parsing the control file must
    allow for a multi-line uploaders field.                (Closes: #148194).
  * Bug fix: "[AMENDMENT 12/04/2004] frown on programs in PATH with
    language extentions", thanks to Joey Hess.             (Closes: #190753).
  * Bug fix: "init script stop example should use --oknodo", thanks to
    Matt Kraai. Removed the example entirely.              (Closes: #346598).
  * Bug fix: "policy 12.5: Please recommend a sane practice WRT different
    gpl versions (was: Re: RFC/RFS: beef - a flexible BrainFuck
    interpreter)", thanks to Justin Pryzby. The subject leaves something
    to be desired, but polic should not attempt to enumerate all common
    licenses.                                               (Closes: #355263).
  * Bug fix: "debian-policy: Conflicting Architecture definitions", thanks

