## debian-policy 3.7.2.2

=== debian/changelog ===
debian-policy (3.7.2.2) unstable; urgency=low

  * Bug fix: "clarify 12.3 Additional documentation", thanks to Peter
    Eisentraut                                               (Closes: #367697).
  * Bug fix: "debian-policy: s/dependcy/dependency/", thanks to Justin
    Pryzby                                                   (Closes: #375508).
  * Bug fix: "various spelling mistakes", thanks to Nico Golde
                                                             (Closes: #375728).
  * Bug fix: "debian-policy: typo", thanks to Peter Samuelson
                                                             (Closes: #376104).
  * Bug fix: "debian-policy: [PROPOSAL] maintainer scripts must not be
    world writable", thanks to Kari Pahula                   (Closes: #376438).
  * Bug fix: "policy-process: s/ a a / a /; s/peoples/people's/;
    s/intiated/initiated/; s/participattion the/participation in the/? add
    quotes; s/was a larger/a larger/?", thanks to Justin Pryzby 
                                                             (Closes: #377215).
  * Bug fix: "[PROPOSAL] Include the GFDL in the set shipped in
    /usr/share/common-licenses", thanks to Adeodato Simó. However, it is
    premature to tell packages to use the common licenses file until we
    actually ship the license in /usr/share/common-licenses/ (Closes: #378386).
  * Bug fix: "circular dependencies, improved guarantees", thanks to Ian
    Jackson                                                  (Closes: #379630).
  * Bug fix: "section on invoke-rc.d doesn't make sense", thanks to Peter
    Eisentraut                                               (Closes: #380692).
  * Bug fix: "policy: postinst doesn't document typical abort-remove
    case", thanks to Justin Pryzby. Removed all such comments. This is not
    the place to document such material.                     (Closes: #373212).
  * Bug fix: "use of &quot;invoke-rc.d $PACKAGE stop || exit $?&quot; in
    prerm scripts", thanks to Lars Wirzenius                 (Closes: #370471).
  * Bug fix: "debian-policy: Inconsistent requirements wrt bashisms",
    thanks to Frank Küster                                   (Closes: #367531).
  * Bug fix: "debian-policy: s/with With/with /", thanks to Justin Pryzby
                                                             (Closes: #379974).
  * Bug fix: "debian-policy: "$RET" not "RET"", thanks to Justin Pryzby
                                                             (Closes: #386178).
  * Bug fix: "debian-policy: Spelling error in chapter 9.1.1:
    exceptiions", thanks to Andreas Janssen                  (Closes: #388302).
  * Bug fix: "[PROPOSAL] Document ~ behavior in version numbers", thanks
    to Jakob Bohm                                            (Closes: #382612).
  * Bug fix: "debian-policy: [ACCEPTED] Request for the 'stardict'",
    thanks to Andrew Lee                                     (Closes: #385935).
  * Bug fix: "[ACCEPTED] virtual package 'lzh-archiver' -- an LZH archiver
    package", thanks to Ying-Chun Liu (PaulLiu)              (Closes: #387027).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  2 Oct 2006 17:31:23 -0500
