=== debian/control ===
Source: debian-policy
Section: doc
Priority: optional
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>, Manoj Srivastava <srivasta@debian.org>, Josip Rodin <joy-packages@debian.org>
Standards-Version: 3.6.2.2
Build-Depends-Indep: sgml-data (>= 2.0), debiandoc-sgml (>= 1.1.47), tetex-extra, groff, bsdmainutils, pstoedit, jade, docbook-xml (>= 3.1.1), docbook-dsssl, tidy, links (>= 0.90) | elinks

Package: debian-policy
Architecture: all
Suggests: doc-base
Conflicts: dpkg-dev (<< 1.4.0.9), doc-base (<< 0.6), packaging-manual
Replaces: packaging-manual
Description: Debian Policy Manual and related documents
 This package contains:
    - Debian Policy Manual
    - Linux Filesystem Hierarchy Standard (FHS)
    - Authoritative list of virtual package names
    - Paper about libc6 migration
    - Policy checklist for upgrading your packages
 It also replaces the old Packaging Manual; most of the still-relevant
 content is now included as appendices to the Policy Manual.
