## debian-policy 3.7.3.0

=== debian/changelog ===
debian-policy (3.7.3.0) unstable; urgency=low

  * Bug fix: "FTBFS if built twice in a row"                 (Closes: #424212).
  * Bug fix: "[PROPOSAL] Document ~ behavior in version numbers", thanks
    to Nicolas François and Marc Brockschmidt                (Closes: #382612).
  * Bug fix: "Please add 'local' to list of supra-POSIX features that
    /bin/sh can be expected to offer". Also add test -a/-o binary logical
    operators and change references from POSIX to SUSv3      (Closes: #294962).
  * Bug fix: "[Proposal] new Debian menu structure", thanks to Bill
    Allombert                                                (Closes: #361418).
  * Bug fix: "typo: "must not be not world-writable"", thanks to Sam
    Hocevar                                                  (Closes: #392594).
  * Bug fix: "debian-policy: recommend binary:Version substvar instead",
    thanks to Guillem Jover                                  (Closes: #418444).
  * Bug fix: "New virtual package: dictd-dictionary", thanks to Tatsuya
    Kinoshita                                                (Closes: #413575).
  * The virtual package in use is inet-superserver, not inetd-superserver.
    Adjust the virtual package list to match.  Thanks, Tatsuya Kinoshita
    and Marco d'Itri.
  * Wrapped, cleaned up trailing whitespace, and alphabetized the list of
    virtual packages.
  * Bug fix: "Small spelling errors and erratic sentences in debian-policy",
    thanks to Michiel de Boer.                               (Closes: #435207).
  * Bug fix: "Source field of .changes files may contain a version number"
                                                             (Closes: #431813).
  * Bug fix: "822-date is deprecated (use date -R instead)"  (Closes: #448035).
  * Bug fix: "5.6.17 (Urgency) should list emergency, maybe a normative
    list?"                                                   (Closes: #412634).
  * Bug fix: "[PROPOSAL] Document support of package types in shlibs
    files", thanks to Franz Pop and Raphaël Hertzog          (Closes: #363133).
  * Bug fix: "Introduce a requirement for internationalisation of debconf
    templates", thanks to Christian Perrier                  (Closes: #402975).
  * Bug fix: "GFDL is now in common-licenses".  Also add the rest of the
    specific license versions and the GPLv3                  (Closes: #420701).
  * Bug fix: "Virtual package for Japanese font packages
    (ttf-japanese-mincho and ttf-japanese-gothic)", thanks to Nobuhiro
    Iwamatsu                                                 (Closes: #440931).
  * Drop unsupported docbook-xml format from the doc-base file for the
    debconf specification.
  * Remove inactive uploaders and add Russ Allbery.
  * Update Standards-Version to 3.7.3 (no changes required).
  
 -- Russ Allbery <rra@debian.org>  Sun, 02 Dec 2007 22:33:55 -0800
