=== debian/rules ===
--- 
+++ 
@@ -90,7 +90,6 @@
 		$(SGML_FILES:=.html.tar.gz) \
 		$(SGML_FILES:=.txt.gz) \
 		policy.ps.gz policy.pdf.gz
-	tar -zxf $(FHS_ARCHIVE)
 	# Need to use a patched tmac.m macro file if we're using a pre-1.16
 	# groff; version 1.16 is apparently fixed
 	if dpkg --compare-versions "$(shell dpkg -s groff | sed -n -e 's/Version: //p')" lt 1.16; then \
@@ -148,11 +147,10 @@
 	echo "debian-policy:Version=$(version)"	     > debian/substvars
 	$(install_file)	    $(POLICY_FILES)	     $(DOCDIR)/
 #	$(install_file)	    $(FSSTND_FILES)	     $(DOCDIR)/fsstnd/
-	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    debian/changelog	     $(DOCDIR)/
 	# Be more specific with file compression
 	gzip -f9	    $(DOCDIR)/*.txt $(DOCDIR)/*.sgml \
-				$(DOCDIR)/fhs/* $(DOCDIR)/changelog
+				$(DOCDIR)/changelog
 # These are allready compressed
 	#$(install_file)    $(FHS_NEW_FILES)	     $(DOCDIR)/fhs/
 	$(install_file)	    $(FHS_FILES)	     $(DOCDIR)/fhs/
