## debian-policy 3.8.0.1~hardy1

=== debian/changelog ===
debian-policy (3.8.0.1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Nicolas Valc?rcel (nxvl) <nvalcarcel@ubuntu-pe.org>  Fri, 01 Aug 2008 09:32:43 +0100

debian-policy (3.8.0.1) unstable; urgency=low

  * Don't attempt to register the non-existent debian-policy-process
    document.  Thanks, Adrian von Bidder.  (Closes: #484706)

 -- Russ Allbery <rra@debian.org>  Thu, 05 Jun 2008 13:13:01 -0700

debian-policy (3.8.0.0) unstable; urgency=low

  * Bug fix: "[PROPOSAL] "debian/README.source" file for packages with
    non-trivial source", thanks to Wouter Verhelst, Jörg Sommer, Colin Watson,
    and Junichi Uekawa                                       (Closes: #250202).
  * Bug fix: "[AMENDMENT 11/02/2008] Manual page encoding", thanks to
    Colin Watson                                             (Closes: #440420).
  * Bug fix: "[PROPOSAL] common interface for parallel building in
    DEB_BUILD_OPTIONS", thanks to Loïc Minier, Peter Samuelson, and Robert
    Millan                                                   (Closes: #209008).
  * Bug fix: "Please clarify splitting/syntax of DEB_BUILD_OPTIONS", thanks to
    Loïc Minier, Peter Samuelson, Robert Millan, and Guillem Jover
                                                             (Closes: #430649).
  * Bug fix: "Documentation for Breaks in dpkg", thanks to Ian Jackson
                                                             (Closes: #379150).
  * Bug fix: "support for wrapped Uploaders should now be mandatory"
                                                             (Closes: #431813).
  * Bug fix: "[PROPOSAL] Add should not embed code from other packages",
    thanks to Neil McGovern, Colin Watson, Bill Allombert, Steve Langasek,
    Kurt Roeckx, and others                                  (Closes: #392362).
  * Bug fix: "Homepage field in debian/control undocumented", thanks to
    Mario Iseli                                              (Closes: #452105).
  * Bug fix: "Policy inconsistent with reality: base subsection no longer
    used", thanks to Magnus Holmgren, Bernd Zeimetz, and Colin Watson
                                                             (Closes: #442070).
  * Bug fix: "Inclusion of Apache Software License versions in
    /usr/share/common-licenses", thanks to Barry Hawkins     (Closes: #291460).
  * Bug fix: "[Amended] copyright should include notice if a package is
    not a part of Debian distribution", thanks to Taketoshi Sano
                                                             (Closes: #65577).
  * Bug fix: "scripts as configuration files: should vs. must", thanks to Frank
    Küster                                                   (Closes: #403391).
  * Bug fix: "debconf specification should allow underscores in template
    names", thanks to Colin Watson                           (Closes: #473761).
  * Bug fix: "clarify handling of run-time and compile-time support programs",
    thanks to Goswin Brederlow and Raphael Hertzog           (Closes: #367984).
  * Policy: better document version ranking and empty Debian revisions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #186700, #458910
  * Policy: remove obsolete app-defaults and Xresources provisions
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Closes: #480551
  * Bug fix: "Examples of dpkg frontends should mention apt now", thanks
    to Josh Triplett                                         (Closes: #455602).
  * Bug fix: "Minor typos and wording suggestions", thanks to Michael
    Tautschnig                                               (Closes: #422552).
  * Bug fix: "substvar reference moved from dpkg-source(1) to
    deb-substvars(5)", thanks to Ian Beckwith                (Closes: #475731).
  * Policy: bugs fixed in NMUs are now closed rather than marked fixed
    Wording: Russ Allbery <rra@debian.org> (thanks, Sandro Tosi)
    Closes: #481640
  * Policy: C.1.4, C.1.8: minor typos
    Wording: Sandro Tosi <matrixhasu@gmail.com>
    Closes: #481954
  * Remove the now-obsolete policy-process document.
  * Add an md5sums control file.
  * Add Vcs-Browser and Vcs-Git control fields.
  * Remove build system support for FHS 2.1 and FSSTND, mostly commented out.
  * Remove more temporary files created by the build.
  * Remove the FSSTND license from debian/copyright; no FSSTND files are
    currently part of policy.
  * Update FHS copyright dates in debian/copyright.
  * Standardize the spacing around headings in upgrading-checklist.html.
  * Remove old ChangeLog files and metadata headers in maintainer scripts
    and debian/rules.

 -- Russ Allbery <rra@debian.org>  Wed, 04 Jun 2008 15:53:27 -0700
