## debian-policy 3.8.0.1ubuntu2

=== debian/changelog ===
debian-policy (3.8.0.1ubuntu2) intrepid; urgency=low

  * Reupload pristine Debian Policy Manual; the Ubuntu Policy Manual is
    available from the ubuntu-policy package. This package should be synced
    from Debian when that is next possible.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2008 02:57:49 +0100

debian-policy (3.8.0.1ubuntu1) intrepid; urgency=low

  * Rebrand as "Ubuntu Policy Manual", preserving acknowledgements.
  * Document Ubuntu Maintainer field handling.
  * The Breaks field may safely be used in Ubuntu packages.
  * Document requirement to update the icon cache when installing files into
    subdirectories of /usr/share/icons.
  * Document the layout of the Ubuntu archive.
  * Describe Ubuntu version number conventions.
  * Document the changelog conventions for closing bugs in Launchpad, and
    the Launchpad-Bugs-Fixed .changes field.
  * Recommend that Standards-Version not be adjusted for Ubuntu revisions of
    this manual, and in general that Standards-Version should not be changed
    in Ubuntu for packages originating in Debian.
  * Note that /var/run is a tmpfs in Ubuntu and that init.d scripts must
    therefore create subdirectories of /var/run dynamically.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 22 Aug 2008 18:14:50 +0100
