## debian-policy 3.8.3.0

=== debian/changelog ===
debian-policy (3.8.3.0) unstable; urgency=low

  * Policy: Bring Architecture description in line with dpkg-source
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #530967
  * Policy: Update information about DEB_*_ARCH variables
    Wording: Guillem Jover <guillem@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #527871
  * Policy: Remove support for uploads to multiple distributions
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Raphael Hertzog <hertzog@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #514919
  * Policy: Remove permission for packages to modify ld.so.conf
    Wording: Steve Langasek <vorlon@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Kurt Roeckx <kurt@roeckx.be>
    Seconded: Adeodato Simó <dato@net.com.org.es>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #519941
  * Policy: Clarify X installation directory handling
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #522217
  * Policy: Localized man pages should be up-to-date or warn
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #493007
  * Policy: Remove restriction on manual page character encoding
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@golden-gryphon.com>
    Closes: #537707
  * Policy: Allow Binary field to span multiple lines
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Closes: #533852
  * Policy: Revise info requirements for triggerized install-info
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Guillem Jover <guillem@debian.org>
    Seconded: Raphaël Hertzog <hertzog@debian.org>
    Closes: #538665
  * Perl Policy: Remove obsolete dependency requirements
    Wording: Cyril Brulebois <kibi@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Manoj Srivastava <srivasta@debian.org>
    Closes: #525190
  * Breaks is now supported by the stable release of dpkg, so drop
    warnings against its use.  Thanks, Steve Langasek.  (Closes: #533577)
  * Add references to the sections on Breaks and Conflicts to the section
    on binary dependencies.  Thanks, Frank Küster.  (Closes: #529771)
  * Clarify the units of Installed-Size and document that it is an
    approximation.  Thanks, Martin Dorey.  (Closes: #534408)
  * Don't suggest calling dpkg-statoverride --remove unconditionally in
    the postrm script.  Thanks, Patrick Schoenfeld.  (Closes: #539389)
  * Explain that the copyright dates are for the original Policy manual
    and that there is no updated list of copyright holders for subsequent
    revisions available.  (Partly addresses #47438)
  * Clarify the description of the Files control field and add examples.
  * Change the wording of the Description and Changes field specifications
    for *.changes files to more closely match the wording for Files and
    add more details about the contents of the Description field in
    a *.changes file.
  * Merge the package name syntax requirements between the Package and
    Source field descriptions.
  * Say that sensible-editor and sensible-pager are provided by the
    sensible-utils package, not by the base system.  Thanks, Clint Adams
    and Steve Langasek.  (Closes: #541537)
  * Document that control field values are case-sensitive unless the field
    description says otherwise.

 -- Russ Allbery <rra@debian.org>  Sat, 15 Aug 2009 17:13:26 -0700

debian-policy (3.8.2.0) unstable; urgency=low

  [ Russ Allbery ]
  * Policy: Mandate debconf or equivalent for user prompting
    Wording: Andrew McMillan <awm@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Holger Levsen <holger@layer-acht.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #206684
  * Policy: Remove /etc/X11/XF86Config-4 FHS exception
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
    Closes: #522219
  * Policy: Remove obsolete /var/mail transition requirement
    Wording: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Seconded: Andrew McMillan <andrew@morphoss.com>
    Closes: #522364
  * Policy: Move Speedo fonts into the deprecated category
    Wording: Julien Cristau <jcristau@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Danjou <acid@debian.org>
    Closes: #522218
  * Housekeeping (resynchronizing lists maintained elsewhere):
    - Add GFDL 1.3 to the common-licenses list.
    - Update the list of archive sections.  (Closes: #519835)
  * Set the release date of the 3.8.1 upgrading-checklist entry.
    (Closes: #519706)

  [ Colin Watson ]
  * The FHS is the "Filesystem Hierarchy Standard", regardless of our
    preferred spelling of "file system" elsewhere. Fix this and a nearby
    search-and-replace capitalisation bug.
  * Build-depend on texlive-latex-extra, which is needed by
    debiandoc2latexps and isn't included in texlive's dependencies.
    Closes: #533257
  * Policy: State requirements for source package names
    Wording: Colin Watson <cjwatson@debian.org>
    Seconded: Russ Allbery <rra@debian.org>
    Seconded: Julien Cristau <jcristau@debian.org>
    Closes: #525151
  * Add myself to Uploaders.

  [ Bill Allombert ]
  * Add myself to Uploaders.

